Mail API reference

Mail API · Segments

delete/v1/workspaces/{workspace_id}/contacts/{contact}/segments/{segment_id}Auth

Remove a contact from a static segment

204 whether or not it was a member.

Path parameters

workspace_id*string · uuid

Id of the workspace.

contact*string

The contact id, or its email address (URL-encoded).

segment_id*string · uuid

Id of the segment.

Response · 204

Not a member (any more).

Example

Request

DELETE https://api.mail.productcraft.co/v1/workspaces/{workspace_id}/contacts/{contact}/segments/{segment_id}
Authorization: Bearer YOUR_TOKEN